.popup-widget-page {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 1em;
	margin-top: 1.5em;
	margin-bottom: 3em;
}

.accom-yurt-banner--wrapper :where(.popup-widget-page--image--full-width) {
	width: 100%;
	height: auto;
}
.accom-yurt-banner--wrapper {
	padding-top: 50px;
}
.text-center {
	text-align: center;
}

.popup-widget-page--content :where(p a:not(.htlgi-button__primary)) {
	color: #5f5f5f;
}

.ht-button-blue,
.ht-popup--content-inner :where(a) {
	background-color: #00a3c6;
	text-decoration: none;
	box-sizing: border-box;
	color: var(--color-white);
	display: block;
	cursor: pointer;
	font-size: 14px;
	font-weight: 700;
	letter-spacing: 0.2ch;
	padding: 12px 16px;
	text-align: center;
	text-transform: uppercase;
	transition: opacity 0.4s;
}

.popup-widget-page--content {
	box-sizing: border-box;
	line-height: 1.7;
	min-height: 250px;
	padding: 50px 50px 0 24px;
	position: relative;
}

.popup-widget-page--content-top-right,
.ht-popup--content-top-right {
	display: block;
	pointer-events: none;
	position: absolute;
	right: 0;
	top: 0;
	z-index: 0;
}
.popup-widget-page--content-bottom-left,
.ht-popup--content-bottom-left {
	bottom: 0;
	display: block;
	left: 0;
	pointer-events: none;
	position: absolute;
	z-index: 0;
}

.popup-widget-page--content :where(p) {
	color: #5f5f5f;
}
.popup-widget-page--content :where(a) {
	font-weight: bold;
}

.ht-widgets {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 1em;
	padding: 1em 0;
}

.ht-widgets--item {
	cursor: pointer;
	margin-bottom: 0.8em;
}

.popup-widget-page-widget--content,
.popup-widget-page-widget--divider {
	display: none;
}

.popup-widget-page-widget--titles__wrapper {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	margin-bottom: 0.5em;
}

.popup-widget-page-widget--title,
.popup-widget-page-widget--subtitle {
	margin-bottom: 0;
}

.popup-widget-page-widget--subtitle,
.ht-popup--subtitle {
	font-size: 1em;
	font-weight: 400;
	color: #797979;
	text-transform: none;
}

.acc--yurts-special {
	padding: 6px 1em;
	white-space: nowrap;
}
.acc--yurts-special,
.acc-extras--special {
	background: linear-gradient(45deg, #df1d81, #682aca);
	border-radius: 100px;
	box-shadow: 0 2px 10px rgba(104, 42, 202, 0.5);
	color: var(--color-white);
	text-transform: uppercase;
}

.ht-popup__hidden,
.popup-widget-page-widget--popup-image {
	display: none;
}

.ht-popup {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 100;
}
.ht-popup__body-visible {
	overflow: hidden;
}
.ht-popup--inner {
	display: table;
	width: 100%;
	height: 100%;
	border: 0;
	border-collapse: collapse;
	border-spacing: 0;
}
.ht-popup--inner-2 {
	display: table-row;
}
.ht-popup--inner-3 {
	display: table-cell;
	vertical-align: middle;
	text-align: center;
}
.ht-popup--inner-4 {
	position: relative;
	display: inline-block;
	text-align: left;
	background-color: var(--color-white);
	border: none;
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.25);
	padding: 30px;
	margin: 20px 100px;
	width: calc(100% - 200px);
	box-sizing: border-box;
	max-width: 960px;
}
.ht-popup--titles {
	margin-bottom: 20px;
	position: relative;
	padding-left: 45px;
	background-image: url(../images/icons/double-arrow.png);
	background-repeat: no-repeat;
	background-position: 0;
	background-size: 34px 36px;
}
.ht-popup--close {
	position: absolute;
	top: 0;
	right: 0;
	display: block;
	padding: 10px;
	z-index: 10;
	cursor: pointer;
	height: 20px;
	width: 20px;
}

.ht-popup--titles__wrapper {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
}

.ht-popup--title {
	font-size: 1.5em;
	text-transform: uppercase;
	margin: 0;
}

.ht-popup--content-wrapper {
	max-height: calc(100vh - 12em);
	overflow-x: hidden;
	overflow-y: auto;
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 1em;
}

.ht-popup--image {
	width: 100%;
	height: auto;
	margin-bottom: 20px;
	padding-top: 50px;
}

.ht-popup--content-inner {
	line-height: 1.7;
	min-height: 15em;
	padding: 50px 50px 0 24px;
	position: relative;
}

.icon-list {
	color: var(--color-black);
	display: block;
	font-size: 11px;
	list-style: none;
	padding: 0;
	text-align: center;
}

.icon-list--item {
	display: inline-block;
	list-style: none;
	margin: 4px;
	vertical-align: top;
	line-height: 1.2;
}

.ht-popup--below-content {
	clear: both;
	margin-top: 20px;
	overflow: hidden;
}
.popup-widget-page-widget--image {
	width: 100%;
	height: auto;
}

@media screen and (max-width: 1150px) {
	.popup-widget-page-widget--titles__wrapper,
	.ht-popup--titles__wrapper {
		flex-direction: column-reverse;
	}
	.acc--yurts-special {
		margin-bottom: 10px;
		white-space: normal;
		font-size: 14px;
	}
}

@media screen and (max-width: 768px) {
	.popup-widget-page,
	.ht-widgets,
	.ht-popup--content-wrapper {
		grid-template-columns: 1fr;
		justify-content: center;
	}
	.ht-popup--content-inner,
	.popup-widget-page--content {
		padding: 0;
		margin: 0;
	}
	.ht-popup--content-bottom-left,
	.ht-popup--content-top-right,
	.popup-widget-page--content-bottom-left,
	.popup-widget-page--content-top-right {
		display: none;
	}
	.ht-popup--inner-4 {
		box-sizing: border-box;
		margin: 10px 0;
		padding: 20px;
		width: 92%;
	}
	.ht-popup--image {
		padding-top: 10px;
	}
	.ht-popup--close {
		height: 10px;
		width: 10px;
	}
}
